public class GuessingLettersOnly extends MessageState {

    public MessageState handleTimeout(MessageBuilder builder) {
        Letter nextLetter = builder.getAlphabet().nextLetter();
        builder.setLastPresented(nextLetter);
        builder.getPresenter().presentLetter(nextLetter);
        return this;
    }
    
    public MessageState handleSelection(MessageBuilder builder) {
        Letter letter = (Letter)builder.getLastPresented();
        builder.getMessage().addLetter(letter);
        builder.getAlphabet().reset();
        return new GuessingLettersAndSpace();
    }
}
